#include <stdio.h>

unsigned int mystrlen(char *a);

int main(){

	char mystr[] = "Panthers";

	printf("length = %u\n", mystrlen(mystr));

	return 0;
}

unsigned int mystrlen(char *s){ // s = arr[0];
	unsigned int length = 0;

	/*
	  P    A    N    T    H    E    R    S   \0
	  0    1    2    3    4    5    6    7    8
	*/


	//Without using a pointer
	/* 
	while(s[length] != '\0') {
		length++;
	}
	*/

	// One way of iterating using pointers
	/*
	while(*s != '\0'){
		length++;
		s++;
	}*/

	//Iterating after checking for the condition.
	/*
	while(*(s++) != '\0'){ 
		length++;
	}
	*/

	//Using a For loop
	for( ; *s; ++s) 
	{
	  length++;
	}
	
	return length;
}