#include <stdio.h>

int main(){

	int a = 5;
	int b = 100;

	int *ap = &a;
	int *bp = 0; //
	bp = &b;

	printf("Value of ap - %p\n", ap);
	printf("Address of a - %p\n\n", &a);
	
	printf("Value of bp - %p\n", bp);
	printf("Address of b - %p\n\n", &b);

	printf("Dereferenced ap (Value of variable that ap points to) - %d\n", *ap);
	printf("Dereferenced bp (Value of variable that bp points to) - %d\n\n", *bp);


	//Modifying the value of a variable through a pointer.

	*ap = 200;

	printf("Value of a - %d\n", a);


	//Change where the pointer points to
	
	int c = 999;

	ap = &c;

	printf("Value stored in ap - %p\n", ap);
	printf("Value that ap points to - %d\n", *ap);
	



	return 0;
}